Subject: Re: core-dump with 20001219

From: "Tim Freedom" <[email-masked]>
Date: Tue, 26 Dec 2000 12:11:24 -0800

On Thu, 21 Dec 2000 05:31:50 +0100
Dominik Vogt <[email-masked]> wrote:

>On Wed, Dec 20, 2000 at 05:32:44PM -0800, Tim Freedom wrote:
>>I've gotten a couple of core-dumps today with a this new snapshot.
>>One came about after some netscape usage and the other after
>>opening-up acrobat reader; I've been unable to reproduce the
>>problem to any extent -- sorry, I'll keep trying.
>>
>>I'll revert back to snap-20000809 :-)
>>
>>Here's my system info:
>>uname -a      : SunOS opt 5.7 Generic_106541-10 sun4u
>>gcc --version : 2.95.2
>>
>>Here's the stack trace,
>>
>>#0  0x36724 in get_transientfor_fvwmwindow (t=0x0) at stack.c:216
>>216       for (s = Scr.FvwmRoot.next; s != &Scr.FvwmRoot; s = s->next)
>>(gdb) where
>>#0  0x36724 in get_transientfor_fvwmwindow (t=0x0) at stack.c:216
>>#1  0x54188 in setup_layer (tmp_win=0x10ba30, pstyle=0xffbee940)
>>     at add_window.c:481
>>#2  0x558f0 in AddWindow (w=4290701800, ReuseWin=0xffbee9a4)
>>     at add_window.c:1337
>>#3  0x397ec in HandleMapRequestKeepRaised (KeepRaised=0, ReuseWin=0x0)
>>     at events.c:879
>>#4  0x39734 in HandleMapRequest () at events.c:848
>>#5  0x3c08c in DispatchEvent (preserve_Tmp_win=0) at events.c:2522
>>#6  0x3c144 in HandleEvents () at events.c:2571
>>#7  0x5b6d0 in main (argc=-4264160, argv=0x81c00) at fvwm.c:732
>
>I guess some half completed code made it into the snapshot.  With
>curren CVS code, the function get_transientfor_fvwmwindow() will
>never reach the line
>
>  for (s = Scr.FvwmRoot.next; s != &Scr.FvwmRoot; s = s->next)
>
>if t is NULL as it is in your stack trace.  On the other hand, the
>line numbers match perfectly.  Are you sure the sources match the
>executable that produced the core?

Yup, pretty sure.  I decided to download the latest CVS to triple-check the 
core dump and wham!! it happened again (this time I was waiting for acrobat 
to spawn within Netscape -- sometimes its fine, others fvwm dumps core).  
Here's the latest core stack trace with snap-20001226,

-- GNU gdb 4.18
(gdb) where
#0  0x36780 in get_transientfor_fvwmwindow (t=0x0) at stack.c:219
#1  0x5410c in setup_layer (tmp_win=0xc56e0, pstyle=0xffbee928) at 
add_window.c:481
#2  0x55874 in AddWindow (w=4290701776, ReuseWin=0xffbee98c) at 
add_window.c:1337
#3  0x3985c in HandleMapRequestKeepRaised (KeepRaised=0, ReuseWin=0x0) at 
events.c:883
#4  0x397a4 in HandleMapRequest () at events.c:852
#5  0x3bf48 in DispatchEvent (preserve_Tmp_win=0) at events.c:2532
#6  0x3c01c in HandleEvents () at events.c:2585
#7  0x5b684 in main (argc=1, argv=0xffbef0d4) at fvwm.c:736

This is what I saw on the console (nothing exciting :-),
xterm:  fatal IO error 32 (Broken pipe) or KillClient on X server ":0.0"
xterm:  fatal IO error 32 (Broken pipe) or KillClient on X server ":0.0"
xterm:  fatal IO error 32 (Broken pipe) or KillClient on X server ":0.0"
xterm:  fatal IO error 32 (Broken pipe) or KillClient on X server ":0.0"
xterm:  fatal IO error 32 (Broken pipe) or KillClient on X server ":0.0"

Let me know if you need anything else....

Please 'cc' on replies unless you wanna wait until I read the archives 
tomorrow (archives are updated once per day :-)
_________________________________________________________________
Get your FREE download of MSN Explorer at http://explorer.msn.com

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dan Espen <[email-masked]>
Date: Tue, 26 Dec 2000 15:56:41 -0500

> >>216       for (s = Scr.FvwmRoot.next; s != &Scr.FvwmRoot; s = s->next)

I've just committed a change that should fix this.

--
Dan Espen
444 Hoes Lane  Room RRC 1C-214           E-mail: [email-masked]
Piscataway, NJ 08854                     Phone: (732) 699-5570
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]